Plans
Find plans
Find plans
GET
/
plans
Find plans
curl --request GET \
--url https://sandbox-api.paynext.com/plans \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'const options = {
method: 'GET',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox-api.paynext.com/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.paynext.com/plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Version", "<x-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.paynext.com/plans")
.header("X-API-Version", "<x-api-version>")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox-api.paynext.com/plans"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.paynext.com/plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-API-Version: <x-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "price_1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"interval": "days",
"interval_count": 1,
"name": "Pro Plan",
"price": {
"countries": [
{
"countries": [
"AD"
],
"price": {
"amount": 1999,
"currency": "AED"
}
}
],
"default": {
"amount": 1999,
"currency": "AED"
}
},
"tax": {
"collect_tax": "<unknown>"
},
"trial_interval": "days",
"trial_interval_count": 14,
"trial_price": {
"countries": [
{
"countries": [
"AD"
],
"price": {
"amount": 1999,
"currency": "AED"
}
}
],
"default": {
"amount": 1999,
"currency": "AED"
}
},
"type": "recurring",
"updated_at": "2025-05-27T10:00:00Z"
}
],
"meta": {
"limit": 100,
"page": 1,
"pages": 1,
"snapshot_at": "2026-01-01T00:00:00Z",
"total": 1
}
}{
"error": {
"message": "some error message"
}
}{
"error": {
"message": "some error message"
}
}{
"error": {
"message": "some error message"
}
}Authorizations
Authentication header of the form api key, where api key is your organization api key.
Headers
Specifies the version of the API to use
Available options:
1.0.0 Query Parameters
Number of items per page
Required range:
1 <= x <= 1000Sort order
Available options:
asc, desc Page number for paginated results
Required range:
x >= 1Keyword to search across fields
Timestamp of the data snapshot
Field to sort by
Was this page helpful?
⌘I
Find plans
